/*
  Name:        	TraceImplement.c
  Author:      	Ron Burkey
  Purpose:     	The processing for Do178Builder-utility 
  		that creates the traceability matrix for the
		--trace-implement command-line switch.
  Mod History:	03/14/2008 RSB	Began.
  
  Copyright 2008 Ronald S. Burkey

  This file is part of Do178Builder.

  Do178Builder is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Do178Builder is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Do178Builder; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

#include "Do178Builder-utility.h"


void 
TraceImplementCloseout (ProcessingOptions_t *Options)
{
}

// This function does the processing by being called by WalkNodes
// once for each node in the XML tree.  It has to maintain its own
// state machine in order to tie all of these separate calls together,
// and the state machine comprises fields in Options.  Calling with
// a_node==NULL should initialize (reset) the state machine.
int 
TraceImplement (xmlNode *a_node, ProcessingOptions_t *Options)
{
  // Initialize?
  if (a_node == NULL)
    {
      Options->FileTraceImplement = fopen ("Do178Builder-trace-implement.csv", "w");
      if (Options->FileTraceImplement == NULL)
        {
	  fprintf (stderr, "Error: Cannot create Do178Builder-trace-implement.csv\n");
	  return (1);
	}
      return (0);
    }
    
  // Process the node.
  

  return (0);
}


