/*
  Filename:    zlib.h
  Purpose:     zlib.h replacements for the Do178Builder project.
  Mods:        03/13/2008 RSB	Created.
  
  Copyright 2008 Ronald S. Burkey

  This file is part of Do178Builder.

  Do178Builder is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Do178Builder is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Do178Builder; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
  
  Do178Builder uses zlib, but only for the purpose of having the function 
  crc32.  Some Windows users have reported problems getting the 
  Do178Builder build-procedure to recognize zlib.  My solution to that is
  to simply add crc32.c from zlib directly into the Do178Builder source
  tree, and then to provide enough of a replacement for zlib.h to provide
  the datatypes needed for this.  The zlib license clearly allows this.
*/

/////////////////////////////////////////////////////////////////////////////

#ifndef ZLIB_H_DO178BUILDER
#define ZLIB_H_DO178BUILDER

#include <stdlib.h>
#define Z_NULL (NULL)

#define ZEXPORT

// The "f" suffixes mean "FAR", which is something for Borland 16-bit
// memory models, and has no meaning for us.
typedef unsigned long uLong;
typedef unsigned long uLongf;
typedef unsigned int uInt;
typedef unsigned char Bytef;

uLong crc32 (uLong crc, const Bytef *buf, uInt len);

#endif // ZLIB_H_DO178BUILDER

